include "..\common_def.mm";
include "propagate_def.mm";

read(rdb1, TripleParser, "rdb_generated.ddl"); // original relational schema
read(xsd1, TripleParser, "xsd_generated.xml"); // manually postprocessed model
read(rdb1_xsd1, TripleParser, "rdb-xsd_generated.map");
read(xsd2, XSD2Obj, "xsd_modified.xml");

(rdb2, xsd2_rdb2) = XSD2SQLDDL(xsd2); // conversion

if(YesNo("Be verbose?"))
  (rdb1, xsd1_rdb1) = PropagateChangesVerbose(xsd1, rdb1, Invert(rdb1_xsd1),
                                              xsd2, rdb2, xsd2_rdb2);
else
  (rdb1, xsd1_rdb1) = PropagateChanges(xsd1, rdb1, Invert(rdb1_xsd1),
                                       xsd2, rdb2, xsd2_rdb2);

if(YesNo("Store changes?")) {

  write(rdb1, TripleSerializer, "rdb_generated.ddl");
  write(Invert(xsd1_rdb1), TripleSerializer, "rdb-xsd_generated.map");
  write(xsd2, TripleSerializer, "xsd_generated.xml");
  //  Uncomment to write out the resulting schema in DDL format
  //  write(rdb1, Obj2Text, "rdb-result.ddl");
}
