CREATE TABLE ORDERS (
  OrderID int PRIMARY KEY,
  OrderDate date,
  EmployeeID int,
  CustomerID int,
  PONum int,
  SalesTaxRate double,
  Rebate double,
  UNIQUE dateNum (OrderDate, PONum)
);

CREATE TABLE ORDER_DETAILS (
  OrderDetailID int PRIMARY KEY,
  OrderID int REFERENCES ORDERS,
  ProductID int REFERENCES PRODUCTS,
  Quantity double
);

CREATE TABLE PRODUCTS (
  ProductID int  PRIMARY KEY,
  ProductName string,
  BrandID int REFERENCES BRANDS,
  ISIC string
);

CREATE TABLE BRANDS (
  BrandID int  PRIMARY KEY,
  BrandName string,
  BrandDesc string
);
